%undefine _hardened_build

Name:             bird2
Version:          2.0.5
Release:          1%{?dist}
Summary:          BIRD Internet Routing Daemon

Group:            System Environment/Daemons
License:          GPLv2+
URL:              http://bird.network.cz
Source0:          ftp://bird.network.cz/pub/bird/bird-%{version}.tar.gz
Source1:          bird2.service

BuildRequires:    flex bison ncurses-devel readline-devel sed systemd gcc libssh-devel
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:        bird-sysvinit

Conflicts: bird
Conflicts: bird6

%description
BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
protocols BGP, RIP, OSPF and also supporting Babel and RAdv.

#%package doc
#Summary:          BIRD Internet Routing Daemon
#Group:            System Environment/Daemons

#%description doc
#BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
#protocols BGP, RIP, OSPF and also supporting Babel and RAdv.
#
#This package contains documentation.


%prep
%setup -q -n bird-%version

#Don't strip executables
sed -i 's/\$(INSTALL_PROGRAM) -s/\$(INSTALL_PROGRAM)/' Makefile.in


%build
%configure --prefix=%{_prefix} \
           --sysconfdir=%{_sysconfdir} \
           --localstatedir=%{_localstatedir}
make %{?_smp_mflags}

#make docs


%install
make install DESTDIR=%{buildroot}

install -d %{buildroot}%{_unitdir}
sed 's/BIRD_PROGNAME/bird/' %SOURCE1 > %{buildroot}%{_unitdir}/bird2.service

%post
%systemd_post bird2.service

%preun
%systemd_preun bird2.service

%postun
%systemd_postun_with_restart bird2.service


%files
%doc NEWS README
%config(noreplace) %{_sysconfdir}/bird.conf
%{_unitdir}/bird2.service
%{_sbindir}/bird
%{_sbindir}/birdc
%{_sbindir}/birdcl

#%files doc
#%doc NEWS README
#%doc obj/doc/bird*.html
#%doc obj/doc/*.pdf


%changelog
* Mon Aug 5 2019 Ondrej Filip <feela@network.cz> 2.0.5
- New version, RPKI added
- Build hardening removed

* Fri Mar 1 2019 Ondrej Filip <feela@network.cz> 2.0.4-1
- Initial release
